/***************************************************************************
                          dlgformularshow.cpp  -  description                              
                             -------------------                                         
    begin                : Tue Aug 17 1999                                           
    copyright            : (C) 1999 by Stephan Uhlmann                         
    email                : suhlmann@gmx.de                                     
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/

#include "dlgformularshow.h"

DlgFormularShow::DlgFormularShow(QWidget *parent, const char *name) : QWidget(parent,name){
	initDialog();
}

DlgFormularShow::~DlgFormularShow(){
}

void DlgFormularShow::setVerfasser(QString NVerfasser)
{ Verfasser_Show_Label->setText(NVerfasser);}

void DlgFormularShow::setTitel(QString NTitel)
{ Titel_Show_Label->setText(NTitel); }

void DlgFormularShow::setSchluessel(QString NSchluessel)
{ Schluessel_Show_Label->setText(NSchluessel); }

void DlgFormularShow::setErstellungsdatum(QDateTime NErstellungsdatum)
{ Erstellungsdatum_Show_Label->setText(NErstellungsdatum.toString()); }

void DlgFormularShow::setGeprueft(bool NGeprueft)
{ if (NGeprueft) Geprueft_Show_Label->setText("ja");
   else Geprueft_Show_Label->setText("nein"); }


void DlgFormularShow::setUnterschriftKundeVorhanden(bool NUnterschriftKundeVorhanden)
{ if (NUnterschriftKundeVorhanden) UnterschriftKundeVorhanden_Show_Label->setText("vorhanden");
   else UnterschriftKundeVorhanden_Show_Label->setText("nicht vorhanden"); }

void DlgFormularShow::setFormvorschrift(QString NFormvorschrift)
{ Formvorschrift_Show_Label->setText(NFormvorschrift); }

void DlgFormularShow::setAenderungsdatum(QDateTime NAenderungsdatum)
{ Aenderungsdatum_Show_Label->setText(NAenderungsdatum.toString()); }

