/***************************************************************************
                          main.cpp  -  description                              
                             -------------------                                         
    begin                : Wed Aug  4 17:32:35 MEST 1999
                                           
    copyright            : (C) 1999 by Stephan Uhlmann                         
    email                : suhlmann@gmx.de                                     
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/



#include <qapplication.h>
#include <qfont.h>

#include "doku.h"

int main( int argc, char ** argv ) {
  QApplication a( argc, argv );
  a.setFont(QFont("helvetica",12));
  a.setStyle(MotifStyle);
  a.setPalette(QPalette(QColor(148,165,195)));

  Doku * doku = new Doku();
  a.setMainWidget(doku);
  doku->setCaption( "Dokumentenverwaltung, Stephan Uhlmann <suhlmann@gmx.de>" );
  doku->show();

  return a.exec();
}








