/***************************************************************************
                          dlgdauerauftragshow.cpp  -  description                              
                             -------------------                                         
    begin                : Tue Aug 17 1999                                           
    copyright            : (C) 1999 by Stephan Uhlmann                         
    email                : suhlmann@gmx.de                                     
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/

#include "dlgdauerauftragshow.h"

DlgDauerauftragShow::DlgDauerauftragShow(QWidget *parent, const char *name) : QWidget(parent,name){
	initDialog();
}

DlgDauerauftragShow::~DlgDauerauftragShow(){
}

void DlgDauerauftragShow::setVerfasser(QString NVerfasser)
{ Verfasser_Show_Label->setText(NVerfasser);}

void DlgDauerauftragShow::setTitel(QString NTitel)
{ Titel_Show_Label->setText(NTitel); }

void DlgDauerauftragShow::setSchluessel(QString NSchluessel)
{ Schluessel_Show_Label->setText(NSchluessel); }

void DlgDauerauftragShow::setErstellungsdatum(QDateTime NErstellungsdatum)
{ Erstellungsdatum_Show_Label->setText(NErstellungsdatum.toString()); }

void DlgDauerauftragShow::setGeprueft(bool NGeprueft)
{ if (NGeprueft) Geprueft_Show_Label->setText("ja");
    else Geprueft_Show_Label->setText("nein"); }

void DlgDauerauftragShow::setUnterschriftKundeVorhanden(bool NUnterschriftKundeVorhanden)
{ if (NUnterschriftKundeVorhanden) UnterschriftKundeVorhanden_Show_Label->setText("vorhanden");
   else UnterschriftKundeVorhanden_Show_Label->setText("nicht vorhanden"); }

void DlgDauerauftragShow::setFormvorschrift(QString NFormvorschrift)
{ Formvorschrift_Show_Label->setText(NFormvorschrift); }

void DlgDauerauftragShow::setAenderungsdatum(QDateTime NAenderungsdatum)
{ Aenderungsdatum_Show_Label->setText(NAenderungsdatum.toString()); }

void DlgDauerauftragShow::setBetrag(float NBetrag)
{ QString s; s.setNum(NBetrag); Betrag_Show_Label->setText(s); }

void DlgDauerauftragShow::setIntervall(long NIntervall)
{ QString s; s.setNum(NIntervall/86400); Intervall_Show_Label->setText(s); }

void DlgDauerauftragShow::setQuelle(QString NQuelle)
{ Quelle_Show_Label->setText(NQuelle); }

void DlgDauerauftragShow::setZiel(QString NZiel)
{ Ziel_Show_Label->setText(NZiel); }

void DlgDauerauftragShow::setBuchungstext(QString NBuchungstext)
{ Buchungstext_Show_Label->setText(NBuchungstext); }





